MONGOC_URI_SET_MECHANISM_PROPERTIES(3)

NAME
mongoc_uri_set_mechanism_properties - mongoc_uri_set_mechanism_properties()

SYNOPSIS

bool
mongoc_uri_set_mechanism_properties (mongoc_uri_t *uri,
                                     const bson_t *properties);

PARAMETERS

•   uri: A mongoc_uri_t.

•   properties: A bson_t .

DESCRIPTION

Replaces all the options in URI's "authMechanismProperties" after the URI has been parsed from a string.

RETURNS

Returns false if the option cannot be set, for example if properties is not valid BSON data.

EXAMPLE

mongoc_uri_t *uri;
bson_t props = BSON_INITIALIZER;
uri = mongoc_uri_new (
   "mongodb://user%40DOMAIN.COM:password@localhost/?authMechanism=GSSAPI"
   "&authMechanismProperties=SERVICE_NAME:other,CANONICALIZE_HOST_NAME:true");
/* replace all options: replace service name "other" with "my_service", unset
 * "CANONICALIZE_HOST_NAME" and accept its default.
 */
BSON_APPEND_UTF8 (&props, "SERVICE_NAME", "my_service");
mongoc_uri_set_mechanism_properties (uri, &props);
bson_destroy (&props);

SEE ALSO

GSSAPI (Kerberos) Authentication and mongoc_uri_get_mechanism_properties

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc